<?php
	header('Content-Type: text/html; charset=utf-8');
	header("Cache-Control: no-cache, no-store, must-revalidate, pre-check=0, max-age=0, post-check=0");

	require_once("global_functions.php");
	require_once("include/ajax_functions_gastro_global.php");
	
	$funktion=false;
	if(isset($_REQUEST['funktion']) && $_REQUEST['funktion'] != '') $funktion=$_REQUEST['funktion'];

	switch ($funktion){
		case "abholschein_loeschen": abholschein_loeschen(); break;
		case "abholschein_annoncieren": abholschein_annoncieren(); break;
		case "kuechenbildschirm_rechts": kuechenbildschirm_rechts(); break;
		case "kuechenbildschirm_links": kuechenbildschirm_links(); break;
		case "ajax_toggle_select_line": ajax_toggle_select_line(); break;
		default: echo "Error !-!-! Falscher Aufruf von ajax_funktionen, Funktion nicht bekannt".$funktion;
	}
	
	function ajax_toggle_select_line()
	{
		$id=$_POST['id'];
		//echo $id;
		$sql="select zeile_selektiert from kuechenbildschirm_anzeige WHERE id='".$id."'";
		$sql_kueche = mysql_query($sql);
		if (! $sql_kueche)
		{
			echo "SQL Fehler: " . mysql_error();
			exit(1);
		}
		$row_kueche=mysql_fetch_assoc($sql_kueche);
		$selektiert=$row_kueche['zeile_selektiert'];
		if ($selektiert==2) $neu_selektiert=1;
		else if ($selektiert==1) $neu_selektiert=0;
		else $neu_selektiert=1;
		//echo $neu_selektiert;
		
		$sql="UPDATE kuechenbildschirm_anzeige SET zeile_selektiert='".$neu_selektiert."' WHERE id='".$id."'";
		$sql_kueche = mysql_query($sql);
		if (! $sql_kueche)
		{
			echo "SQL Fehler: " . mysql_error();
			exit(1);
		}
	}
	
	function kuechenbildschirm_links()
	{
		if (isset($_POST['bildschirm']))
		{
			$bildschirm=$_POST['bildschirm'];
			$where=" WHERE bildschirm_kueche = '".$bildschirm."'";
		}
		else 
		{
			$where="";
			$bildschirm=false;
		}
		$sql="select * from kuechenbildschirm_anzeige $where ORDER BY abholschein_nr, PRODUKTORDER, REFERENCE, NAME";
		$sql_kueche = mysql_query($sql);
		if (! $sql_kueche)
		{
			echo "SQL Fehler: " . mysql_error();
			exit(1);
		}
		$alte_abholschein_nr=0;

		while ($row_abholschein=mysql_fetch_assoc($sql_kueche))
		{
			$produkt=$row_abholschein['printname'];
			$id=$row_abholschein['ID'];
			$tisch_id=$row_abholschein['bon_id'];
			$tisch_name=get_name_for_room($tisch_id);
			$abholschein_nr=$row_abholschein['abholschein_nr'];
			$stueck=$row_abholschein['stueck'];
			$beilagen_minus=$row_abholschein['beilagen_aenderung_minus'];
			$beilagen_plus=$row_abholschein['beilagen_aenderung_plus'];
			$stueck=number_format($stueck, 2, ',', '.');
			if ($row_abholschein['zeile_selektiert']==2) $selected='bildschirm_line_annonciert';
			else if ($row_abholschein['zeile_selektiert']==1) $selected='bildschirm_line_selected';
			else $selected='bildschirm_line_unselected';
			//$preis=berechne_bruttopreis_zeile($row_abholschein['PRICESELL'],$row_abholschein['tax_rate'],$row_abholschein['stueck']);
			if ($alte_abholschein_nr==$abholschein_nr)
			{
				
				echo "<div id='zeile_".$id."' class='".$selected."' onclick='toggle_select_line(".$id.")'>
					  <div class='bildschirm_stueck_line ".$selected."'>".$stueck ."</div>
					  <div class='bildschirm_produkt_line ".$selected."'>". $produkt."";
				if (! empty($beilagen_minus) )
				{
					$beilagen_minus_array=explode(";",$beilagen_minus);
					foreach ($beilagen_minus_array as $beilagen_minus_element)
					{
						echo "<br>- ".$beilagen_minus_element;
					}
				}
				if (! empty($beilagen_plus) )
				{
					$beilagen_plus_array=explode(";",$beilagen_plus);
					foreach ($beilagen_plus_array as $beilagen_plus_element)
					{
						echo "<br>+ ".$beilagen_plus_element;
					}
				}
				echo "</div>";
				echo "</div>";
			}
			else
			{
				
				if ($alte_abholschein_nr!==0) 
				{
					// Ende von einem Abholschein
					$abholschein_div="abholschein_".$alte_abholschein_nr;
					echo "</div>"; // Mitte
					echo "<div class='abholschein_kuchenbildschirm_button'>";
					echo " <button onclick='abholschein_annoncieren(\"".$abholschein_div."\",\"".$bildschirm."\")' class='button_abholschein_abschliessen button'>Annonciert</button>";
					echo " <button onclick='abholschein_schliessen(\"".$abholschein_div."\",\"".$bildschirm."\")' class='button_abholschein_abschliessen button'>Fertig</button>";
					echo "</div>";
					echo "</div>";
				}
				// Neue Abholschein Nr.
				$abholschein_div="abholschein_".$abholschein_nr;
				echo "<div id='".$abholschein_div."' class='abholschein_kuchenbildschirm'>";
				echo "<div id='bon_content_header_div_kuechenbildschirm'>
						<div class='bildschirm_stueck_header'> ".$abholschein_nr."</div>
						<div class='bildschirm_produkt_header'> ".$tisch_name."</div>
					  </div>";
				echo "<div class='abholschein_kuchenbildschirm_mitte'>";
				echo "<div id='zeile_".$id."' class='".$selected."' onclick='toggle_select_line(".$id.")'>
					  <div class='bildschirm_stueck_line ".$selected."'>".$stueck ."</div>
					  <div class='bildschirm_produkt_line ".$selected."'>". $produkt."";
					 if (! empty($beilagen_minus) )
				{
					$beilagen_minus_array=explode(";",$beilagen_minus);
					foreach ($beilagen_minus_array as $beilagen_minus_element)
					{
						echo "<br>- ".$beilagen_minus_element;
					}
				}
				if (! empty($beilagen_plus) )
				{
					$beilagen_plus_array=explode(";",$beilagen_plus);
					foreach ($beilagen_plus_array as $beilagen_plus_element)
					{
						echo "<br>+ ".$beilagen_plus_element;
					}
				}
				echo "</div>";
					  echo "</div>";
			}
			
			$alte_abholschein_nr=$abholschein_nr;
		}
		
		if ($alte_abholschein_nr!==0) 
		{
		$abholschein_div="abholschein_".$alte_abholschein_nr;
					echo "</div>"; // Mitte
					echo "<div class='abholschein_kuchenbildschirm_button'>";
					echo " <button onclick='abholschein_annoncieren(\"".$abholschein_div."\",\"".$bildschirm."\")' class='button_abholschein_abschliessen button'>Annonciert</button>";
					echo " <button onclick='abholschein_schliessen(\"".$abholschein_div."\",\"".$bildschirm."\")' class='button_abholschein_abschliessen button'>Fertig</button>";
					echo "</div>";
		}
		echo "</div>";
		// Ende von einem Abholschein				
	}
	
	function kuechenbildschirm_rechts()
	{
		if (isset($_POST['bildschirm']))
		{
			$bildschirm=$_POST['bildschirm'];
			$where=" WHERE bildschirm_kueche = '".$bildschirm."'";
		}
		else 
		{
			$where="";
			$bildschirm=false;
		}
		
		echo "<div id='abholschein_rechts_kuchenbildschirm'>";
		echo "<div id='bon_content_header_div_kuechenbildschirm'>
				<div class='bildschirm_stueck_header'> Gesamt </div>
			  </div>";
		$sql="select SUM(stueck) as stueck, printname from kuechenbildschirm_anzeige $where GROUP BY printname";
		$sql_kueche = mysql_query($sql);
		if (! $sql_kueche)
		{
			echo "SQL Fehler: " . mysql_error();
			exit(1);
		}
		while ($row_abholschein=mysql_fetch_assoc($sql_kueche))
		{
			$produkt=$row_abholschein['printname'];
			$stueck=$row_abholschein['stueck'];
			$stueck=number_format($stueck, 2, ',', '.');
			echo "<div class='bildschirm_line_unselected'>
					  <div class='bildschirm_stueck_line'>".$stueck ."</div>
					  <div class='bildschirm_produkt_line'>". $produkt."</div>
					  </div>";
		}
		echo "</div>";
	}
	
	function abholschein_loeschen()
	{
		//print_r($_POST);
				
		$supplyPrinter=Array();
		// $_POST['abholschein_nr'] ist auf "abholschein_13" gesetzt - also abholschein_ text weglöschen
		$abholschein_nr=substr($_POST['abholschein_nr'],12);
		
		$zeilen=json_decode($_POST['zeilen']);
		
		foreach ($zeilen as $zeile)
		{
			$zeile=substr($zeile,6);
			// jetzt das array für den Drucker befüllen
			$sql="select produkt_id,stueck,articlePrinted,PRICESELL,tax_rate,bon_id,benutzer_id,supplyprint,
					NAME, printname, beilagen_aenderung_minus, beilagen_aenderung_plus, bezeichnung 
					FROM kuechenbildschirm_anzeige 
					LEFT JOIN artikel_art ON article_art_id = artikel_art.id
					WHERE kuechenbildschirm_anzeige.id='".$zeile."'";
			$sql_kueche = mysql_query($sql);
			if (! $sql_kueche)
			{
				echo "SQL Fehler: " . mysql_error();
				exit(1);
			}
			else
			{
				$row_kueche=mysql_fetch_assoc($sql_kueche);
 				if ($zeile>0)
				{
				$produkt_id=$row_kueche['produkt_id'];
				
				$qtyToPrint=$row_kueche['stueck']-$row_kueche['articlePrinted'];
				$price=false;
				$price=($row_kueche['PRICESELL']*(1+$row_kueche['tax_rate']))*$qtyToPrint;
				$tisch=$row_kueche['bon_id'];
				$verkaufer_id=$row_kueche['benutzer_id'];
				$drucker_id=$row_kueche['supplyprint'];
				
				
				array_push($supplyPrinter, array ( 0 => $produkt_id, 1 => $row_kueche['NAME'],2 => $row_kueche['printname'], 3 => $qtyToPrint, 4 => $row_kueche['bon_id'], 
												   5 =>$row_kueche['beilagen_aenderung_minus'], 6 => $row_kueche['beilagen_aenderung_plus'], 
												   7 => $produkt_id, 8 => $row_kueche['bezeichnung'], 9 => $row_kueche['PRICESELL'] ) ) ;
				}
			}
			
			// Ende Array für Drucken befüllen
			
			$sql="delete from kuechenbildschirm_anzeige where id='".$zeile."'";
			$sql_kueche = mysql_query($sql);
			if (! $sql_kueche)
			{
				echo "SQL Fehler: " . mysql_error();
				exit(1);
			}
			
			// jetzt die restlichen Zeilen noch auf selektiert setzen falls es welche gibt
			$sql1="UPDATE kuechenbildschirm_anzeige SET zeile_selektiert=1 WHERE abholschein_nr='".$abholschein_nr."'";
			$sql_kueche1 = mysql_query($sql1);
			if (! $sql_kueche1)
			{
				echo "SQL Fehler: " . mysql_error();
				exit(1);
			}
		}
		//print_r($supplyPrinter);
		if( defined('KUECHE_BILDSCHIRM_NACHHER_DRUCKEN') && strtolower(KUECHE_BILDSCHIRM_NACHHER_DRUCKEN) == 'ja')
		{
			//abholschein_drucken();
					//array_push($supllyPrinter, array( $selRow['produkt_id'], $selRow['name'], $selRow['printname'], $qtyToPrint, $selRow['openBonId'], 
					//		$selRow['beilagen_aenderung_minus'], $selRow['beilagen_aenderung_plus'], $selRow['article_art_id'], $selRow['bezeichnung'], $price));
			$tischname=get_name_for_room($tisch);
			$verkaufer=get_name_for_verkaufer_id($verkaufer_id);
			$drucker_name=get_drucker_name_for_drucker_id($drucker_id);
			print_r($supplyPrinter);
			echo "createPdf($drucker_id, supplyPrinter, $tischname, $verkaufer, $drucker_name, $abholschein_nr)";
			$pdfPrint=createPdf($drucker_id, $supplyPrinter, $tischname, $verkaufer, $drucker_name, $abholschein_nr);
		}
		/*
		$sql="delete from kuechenbildschirm_anzeige where abholschein_nr='".$abholschein_nr."'";
		$sql_kueche = mysql_query($sql);
		if (! $sql_kueche)
		{
			echo "SQL Fehler: " . mysql_error();
			exit(1);
		}
		*/
		//echo $abholschein_nr;
	}
		
	function abholschein_annoncieren()
	{
		//print_r($_POST);
				
		$supplyPrinter=Array();
		// $_POST['abholschein_nr'] ist auf "abholschein_13" gesetzt - also abholschein_ text weglöschen
		$abholschein_nr=substr($_POST['abholschein_nr'],12);
		
		$zeilen=json_decode($_POST['zeilen']);
		
		foreach ($zeilen as $zeile)
		{
			$zeile=substr($zeile,6);
			
			$sql="UPDATE kuechenbildschirm_anzeige SET zeile_selektiert=2 where id='".$zeile."'";
			$sql_kueche = mysql_query($sql);
			if (! $sql_kueche)
			{
				echo "SQL Fehler: " . mysql_error();
				exit(1);
			}
		}

	}










?>